<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Format](./bitburner.format.md)

## Format interface

Format API

**Signature:**

```typescript
export interface Format 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[number(n, fractionalDigits, suffixStart, isInteger)](./bitburner.format.number.md)


</td><td>

Format a number.


</td></tr>
<tr><td>

[percent(n, fractionalDigits, suffixStart)](./bitburner.format.percent.md)


</td><td>

Format a number as a percentage.


</td></tr>
<tr><td>

[ram(n, fractionalDigits)](./bitburner.format.ram.md)


</td><td>

Format a number as an amount of ram.


</td></tr>
<tr><td>

[time(milliseconds, milliPrecision)](./bitburner.format.time.md)


</td><td>

Format time to a readable string.


</td></tr>
</tbody></table>

